> ## Documentation Index
> Fetch the complete documentation index at: https://magic-21.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Processor Token

> This API performs three steps: 1. Get a processor token from Plaid for Dwolla 2. Add funding source on Dwolla for Customer Bank account 3. Initiate A2A transfer and store Transfer information in the Checkout object 

### header

<ParamField header="api-key" type="string">
  You will get this API key in the response of 'generate api key button' on merchant object.
</ParamField>

### body

<ParamField body="checkout_id" type="string">
  The Checkout ID that the merchant received in response to the POST Checkout request.
</ParamField>

### Response

<ResponseField name="success" type="number">
  This Response field will return message "Transaction Executed" with status code 200 on success request.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'http://127.0.0.1:8000/api/merchants/payment_preprocess/get_processor_token' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data-raw '{ \
      "checkout_id":<checkout_id> \
  }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
    "message": "Transaction Executed"
  ```
</ResponseExample>
